
import tensorflow as tf
import numpy as np

def generate_random_matrix(rows, cols):
    """
    Generate a random matrix using TensorFlow and NumPy.
    """
    # Define the random matrix using TensorFlow's random_normal function
    matrix = tf.random.normal([rows, cols])
    
    # Convert the TensorFlow tensor to a NumPy array
    numpy_matrix = matrix.numpy()
    
    return numpy_matrix



